| Home | Libraries | People | FAQ | More

## Function child_c

boost::proto::child_c — Return the `N`th child of the specified Proto expression.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<long N, typename Expr>
      typename proto::result_of::child_c< Expr &, N >::type child_c(Expr & expr);
    template<long N, typename Expr>
      typename proto::result_of::child_c< Expr const &, N >::type
      child_c(Expr const & expr);

## Description

Return the `N`th child of the specified Proto expression. The child is returned by reference.

Requires: | `proto::is_expr<Expr>::value` is `true`. `N < Expr::proto_arity::value`
Returns: | A reference to the `N`th child of `expr`.
Throws: | Will not throw.